import { BrowserFileObject } from "./file_object";
import { DownloadProps, FileAPI } from "@etherdata-blockchain/etherdata-sdk-common";
/**
 * Create a browser file object
 */
export declare class BrowserFile implements FileAPI {
    url: string;
    constructor(url: string);
    downloadFile({ fileId, downloadPath }: DownloadProps): Promise<void>;
    /**
     * Upload a file to the endpoint
     * @param file {NodeFileObject} A file object
     * @param errorOnExist Will throw error if the file has been uploaded already
     */
    uploadFile(file: BrowserFileObject, errorOnExist?: boolean): Promise<string>;
}
//# sourceMappingURL=file.d.ts.map